--- contrib/pg_archivecleanup/pg_archivecleanup.c.orig	2010-08-22 00:05:06.000000000 +0200
+++ contrib/pg_archivecleanup/pg_archivecleanup.c	2010-08-21 23:56:47.000000000 +0200
@@ -308,8 +308,15 @@
 	SetWALFileNameForCleanup();
 
 	if (debug)
+	{
+#ifdef WIN32
+				snprintf(WALFilePath, MAXPGPATH, "%s\\%s", archiveLocation, exclusiveCleanupFileName);
+#else
+				snprintf(WALFilePath, MAXPGPATH, "%s/%s", archiveLocation, exclusiveCleanupFileName);
+#endif
 		fprintf(stderr, "%s: keep WAL file \"%s\" and later\n",
-				progname, exclusiveCleanupFileName);
+				progname, WALFilePath);
+	}
 
 	/*
 	 * Remove WAL files older than cut-off